Revision 170706 of Linux compatibility reference

  • Revision slug: Linux_compatibility_reference
  • Revision title: Linux compatibility reference
  • Revision id: 170706
  • Created:
  • Creator: Sunil Mohan
  • Is current revision? Yes
  • Comment Added Gtk versions column and removed distros that do not satisfy gtk 2.10.x requirement

Revision Content

For Firefox 3/Gecko 1.9, the release team is planning on maintaining binary compatibility with the following Linux distributions:

See also, the Linux/Runtime Requirements

Distro libstdc++ Gnome GTK ATK pango libXrender
RHEL/
CentOS
5.0 libstdc++.so.5 and .6 2.16.0 2.10.4 1.12.2 1.14.9 libXrender.so.1.3.0
5.1 libstdc++.so.5 and .6 2.16.0 2.10.4 1.12.2 1.14.9 libXrender.so.1.3.0
Fedora Core 6 libstdc++.so.6 2.16 2.10.4 1.12.1 1.14.0 libXrender.so.1.3.0
7 libstdc++.so.6 2.18.0 2.10.11 1.18.0 1.16.4 libXrender.so.1.3.0
8 libstdc++.so.6 2.20.1 2.12.1 1.20.0 1.18.3 libXrender.so.1.3.0
SUSE 10.2 libstdc++.so.6 2.16.1 2.10.6 1.12.3 1.14.5 libXrender.so.1.3.0
10.3 libstdc++.so.6 2.20.0 2.12.0 1.20.0 1.18.2 libXrender.so.1.3.0
Ubuntu 6.10 libstdc++.so.5 and .6 2.16.1 2.10.6 1.12.3 1.14.5 libXrender.so.1.3.0
7.04 libstdc++.so.5 and .6 2.18.1 2.10.11 1.18.0 1.16.2 libXrender.so.1.3.0
7.10 libstdc++.so.5 and .6 2.20.0 2.12.0 1.20.0 1.18.2 libXrender.so.1.3.0

Revision Source

<p>For Firefox 3/Gecko 1.9, the release team is planning on maintaining binary compatibility with the following Linux distributions:
</p><p>See also, the <a class="external" href="http://wiki.mozilla.org/Linux/Runtime_Requirements">Linux/Runtime Requirements</a>
</p>
<table class="standard-table">
<tbody><tr> <th colspan="2">Distro </th><th>libstdc++ </th><th>Gnome </th><th>GTK </th><th>ATK </th><th>pango </th><th>libXrender
</th></tr><tr> <th rowspan="2">RHEL/<br>CentOS </th><th>5.0 </th><td>libstdc++.so.5 and .6 </td><td>2.16.0 </td><td>2.10.4 </td><td>1.12.2 </td><td>1.14.9 </td><td>libXrender.so.1.3.0
</td></tr><tr> <th>5.1 </th><td>libstdc++.so.5 and .6 </td><td>2.16.0 </td><td>2.10.4 </td><td>1.12.2 </td><td>1.14.9 </td><td>libXrender.so.1.3.0
</td></tr><tr> <th rowspan="3">Fedora Core </th><th>6 </th><td>libstdc++.so.6 </td><td>2.16 </td><td>2.10.4 </td><td>1.12.1 </td><td>1.14.0 </td><td>libXrender.so.1.3.0
</td></tr><tr> <th>7 </th><td>libstdc++.so.6 </td><td>2.18.0 </td><td>2.10.11 </td><td>1.18.0 </td><td>1.16.4 </td><td>libXrender.so.1.3.0
</td></tr><tr> <th>8 </th><td>libstdc++.so.6 </td><td>2.20.1 </td><td>2.12.1 </td><td>1.20.0 </td><td>1.18.3 </td><td>libXrender.so.1.3.0
</td></tr><tr> <th rowspan="2">SUSE </th><th>10.2 </th><td>libstdc++.so.6 </td><td>2.16.1 </td><td>2.10.6 </td><td>1.12.3 </td><td>1.14.5 </td><td>libXrender.so.1.3.0
</td></tr><tr> <th>10.3 </th><td>libstdc++.so.6 </td><td>2.20.0 </td><td>2.12.0 </td><td>1.20.0 </td><td>1.18.2 </td><td>libXrender.so.1.3.0
</td></tr><tr> <th rowspan="5">Ubuntu </th><th>6.10 </th><td>libstdc++.so.5 and .6 </td><td>2.16.1 </td><td>2.10.6 </td><td>1.12.3 </td><td>1.14.5 </td><td>libXrender.so.1.3.0
</td></tr><tr> <th>7.04 </th><td>libstdc++.so.5 and .6 </td><td>2.18.1 </td><td>2.10.11 </td><td>1.18.0 </td><td>1.16.2 </td><td>libXrender.so.1.3.0
</td></tr><tr> <th>7.10 </th><td>libstdc++.so.5 and .6 </td><td>2.20.0 </td><td>2.12.0 </td><td>1.20.0 </td><td>1.18.2 </td><td>libXrender.so.1.3.0
</td></tr></tbody></table>
Revert to this revision